Package be.fgov.ehealth.etee.kgss._1_0.protocol

# Class GetKeyResponse

java.lang.Object
be.fgov.ehealth.etee.commons._1_0.etee.EteeResponseType
be.fgov.ehealth.etee.kgss._1_0.protocol.GetKeyResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class GetKeyResponse extends EteeResponseType implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:etee:commons:1_0:etee}EteeResponseType">
           <sequence minOccurs="0">
             <element name="SealedKeyResponse" type="{urn:be:fgov:ehealth:etee:kgss:1_0:protocol}SealedContentType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetKeyResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SealedContentType`
  `getSealedKeyResponse()`
  Gets the value of the sealedKeyResponse property.
  `void`
  `setSealedKeyResponse(SealedContentType value)`
  Sets the value of the sealedKeyResponse property.

  ### Methods inherited from class be.fgov.ehealth.etee.commons._1_0.etee.EteeResponseType

  `getErrors, getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetKeyResponse

    public GetKeyResponse()

- ## Method Details

  - ### getSealedKeyResponse

    public SealedContentType getSealedKeyResponse()
    Gets the value of the sealedKeyResponse property.
    Returns:
      possible object is `SealedContentType`

  - ### setSealedKeyResponse

    public void setSealedKeyResponse(SealedContentType value)
    Sets the value of the sealedKeyResponse property.
    Parameters:
      `value` - allowed object is `SealedContentType`